#pragma once

#include "CoreMinimal.h"
#include "ChargeableInteractionDefinition.h"
#include "ReloadBombs.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class THECLOWN_API UReloadBombs : public UChargeableInteractionDefinition
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	UFloatValueStrategy* _bombReloadSecondsToCharge;

public:
	UReloadBombs();
};

FORCEINLINE uint32 GetTypeHash(const UReloadBombs) { return 0; }
